commit:     8c80c15d06b64de071f84d9c8e6f608d603f0fb5
Author:     Vladimir Pavljuchenkov (SpiderX) <spiderx <AT> spiderx <DOT> dp 
<DOT> ua>
AuthorDate: Sun Oct 14 10:48:52 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Oct 20 15:07:27 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8c80c15d

app-crypt/acme-sh: new ebuild

A pure Unix shell script implementing ACME client protocol

Signed-off-by: Vladimir Pavljuchenkov <spiderx <AT> spiderx.dp.ua>
Package-Manager: Portage-2.3.49, Repoman-2.3.11
Closes: https://github.com/gentoo/gentoo/pull/10139
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 app-crypt/acme-sh/Manifest             |  1 +
 app-crypt/acme-sh/acme-sh-2.7.9.ebuild | 44 ++++++++++++++++++++++++++++++++++
 app-crypt/acme-sh/acme-sh-9999.ebuild  | 43 +++++++++++++++++++++++++++++++++
 app-crypt/acme-sh/files/99acme-sh      |  2 ++
 app-crypt/acme-sh/files/acme.sh        |  1 +
 app-crypt/acme-sh/metadata.xml         | 19 +++++++++++++++
 6 files changed, 110 insertions(+)

diff --git a/app-crypt/acme-sh/Manifest b/app-crypt/acme-sh/Manifest
new file mode 100644
index 00000000000..84a85890ba1
--- /dev/null
+++ b/app-crypt/acme-sh/Manifest
@@ -0,0 +1 @@
+DIST acme.sh-2.7.9.tar.gz 110323 BLAKE2B 
244afad17ddf17fa95a11d5af7943a153ed37e67ef304511787767a5d769f9cd22fb66875d637f2d536cce8942e4feee0c442af8349a32a91940b1fbbc2e879c
 SHA512 
24374783ca52835b400b84316ffab5e9066805362f02082f8ef409e21ca590d837b3dd11401633947f9fcc98dc977b0e8b6076d5deecd02b38478f257500a052

diff --git a/app-crypt/acme-sh/acme-sh-2.7.9.ebuild 
b/app-crypt/acme-sh/acme-sh-2.7.9.ebuild
new file mode 100644
index 00000000000..3224bb2b448
--- /dev/null
+++ b/app-crypt/acme-sh/acme-sh-2.7.9.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="${PN/-/.}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="An ACME Shell script"
+HOMEPAGE="https://github.com/Neilpang/acme.sh";
+SRC_URI="https://github.com/Neilpang/${MY_PN}/archive/${PV}.tar.gz -> 
${MY_P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="net-misc/curl
+       || ( dev-libs/libressl dev-libs/openssl:0 )
+       || ( net-analyzer/netcat6 net-analyzer/openbsd-netcat )
+       || ( net-misc/socat www-servers/apache:2 www-servers/nginx:0 )
+       virtual/cron"
+
+S="${WORKDIR}/${MY_P}"
+
+src_install() {
+       einstalldocs
+       newdoc dnsapi/README.md README-dnsapi.md
+       newdoc deploy/README.md README-deploy.md
+
+       keepdir /etc/acme-sh
+       doenvd "${FILESDIR}"/99acme-sh
+       insinto /etc/bash/bashrc.d
+       doins "${FILESDIR}"/acme.sh
+
+       exeinto /usr/share/acme.sh
+       doexe acme.sh
+       insinto /usr/share/acme.sh/dnsapi
+       doins -r dnsapi/*.sh
+       insinto /usr/share/acme.sh/deploy
+       doins -r deploy/*.sh
+
+       dosym ../share/acme.sh/acme.sh usr/bin/acme.sh
+}

diff --git a/app-crypt/acme-sh/acme-sh-9999.ebuild 
b/app-crypt/acme-sh/acme-sh-9999.ebuild
new file mode 100644
index 00000000000..23935922162
--- /dev/null
+++ b/app-crypt/acme-sh/acme-sh-9999.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+EGIT_REPO_URI="https://github.com/Neilpang/${PN/-/.}.git";
+
+inherit git-r3
+
+DESCRIPTION="An ACME Shell script"
+HOMEPAGE="https://github.com/Neilpang/acme.sh";
+SRC_URI=""
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS=""
+IUSE=""
+
+RDEPEND="net-misc/curl
+       || ( dev-libs/libressl dev-libs/openssl:0 )
+       || ( net-analyzer/netcat6 net-analyzer/openbsd-netcat )
+       || ( net-misc/socat www-servers/apache:2 www-servers/nginx:0 )
+       virtual/cron"
+
+src_install() {
+       einstalldocs
+       newdoc dnsapi/README.md README-dnsapi.md
+       newdoc deploy/README.md README-deploy.md
+
+       keepdir /etc/acme-sh
+       doenvd "${FILESDIR}"/99acme-sh
+       insinto /etc/bash/bashrc.d
+       doins "${FILESDIR}"/acme.sh
+
+       exeinto /usr/share/acme.sh
+       doexe acme.sh
+       insinto /usr/share/acme.sh/dnsapi
+       doins -r dnsapi/*.sh
+       insinto /usr/share/acme.sh/deploy
+       doins -r deploy/*.sh
+
+       dosym ../share/acme.sh/acme.sh usr/bin/acme.sh
+}

diff --git a/app-crypt/acme-sh/files/99acme-sh 
b/app-crypt/acme-sh/files/99acme-sh
new file mode 100644
index 00000000000..a502b49016a
--- /dev/null
+++ b/app-crypt/acme-sh/files/99acme-sh
@@ -0,0 +1,2 @@
+LE_WORKING_DIR="/etc/acme-sh/"
+LE_CONFIG_HOME="/etc/acme-sh/"

diff --git a/app-crypt/acme-sh/files/acme.sh b/app-crypt/acme-sh/files/acme.sh
new file mode 100644
index 00000000000..f20d53850bc
--- /dev/null
+++ b/app-crypt/acme-sh/files/acme.sh
@@ -0,0 +1 @@
+alias acme.sh="/usr/bin/acme.sh --config-home '/etc/acme-sh/'"

diff --git a/app-crypt/acme-sh/metadata.xml b/app-crypt/acme-sh/metadata.xml
new file mode 100644
index 00000000000..2a8926b55be
--- /dev/null
+++ b/app-crypt/acme-sh/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>spid...@spiderx.dp.ua</email>
+               <name>Vladimir Pavljuchenkov</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>proxy-ma...@gentoo.org</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
+       <longdescription lang="en">
+       A shell script to automatically issue and renew the free certificates
+       from Let's Encrypt
+       </longdescription>
+       <upstream>
+               <remote-id type="github">Neilpang/acme.sh</remote-id>
+       </upstream>
+</pkgmetadata>

Reply via email to